Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Mappings/scenario.xsd
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Mappings/scenario.xsd	(revision 8817)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Mappings/scenario.xsd	(revision 8817)
@@ -0,0 +1,45 @@
+<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
+    xmlns="urn:scenario-schema"
+    elementFormDefault="qualified"
+    targetNamespace="urn:scenario-schema">
+
+ <xsd:element name="scenario" type="scenarioType"/>
+
+ <xsd:complexType name="scenarioType">
+  <xsd:sequence maxOccurs="1">   
+   <xsd:element name="name" type="xsd:string"/>
+   <xsd:element name="problemParameters" type="paramsType"/>
+   <xsd:element name="algorithmParameters" type="paramsType"/>
+  </xsd:sequence>
+  <xsd:attribute name="problemType" use="required"/>
+  <xsd:attribute name="algorithmType" use="required"/>
+  <xsd:attribute name="mapper" use="required"/>
+ </xsd:complexType>
+
+ <xsd:complexType name="paramsType">
+  <xsd:sequence>
+   <xsd:element name="param" type="parameterType" minOccurs="1" maxOccurs="unbounded"/>      
+  </xsd:sequence>  
+ </xsd:complexType>
+
+ <xsd:complexType name="parameterType">
+  <xsd:choice>
+   <xsd:element name="value" type="valueType" minOccurs="0" maxOccurs="unbounded"/> 
+   <xsd:element name="choice" type="choiceType" minOccurs="0" maxOccurs="unbounded"/>      
+  </xsd:choice>
+  <xsd:attribute name="type" type="xsd:string" use="required"/>
+  <xsd:attribute name="name" type="xsd:string" use="required"/>
+  <xsd:attribute name="value" type="xsd:string"/>
+ </xsd:complexType>
+ 
+ <xsd:complexType name="choiceType">    
+  <xsd:attribute name="name" type="xsd:string" use="required"/>
+  <xsd:attribute name="selected" type="xsd:string"/>
+ </xsd:complexType>
+ 
+ <xsd:complexType name="valueType">
+  <xsd:attribute name="v1" type="xsd:string"/>
+  <xsd:attribute name="v2" type="xsd:string"/>
+ </xsd:complexType>
+
+</xsd:schema>
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Properties/AssemblyInfo.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Properties/AssemblyInfo.cs	(revision 8817)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Properties/AssemblyInfo.cs	(revision 8817)
@@ -0,0 +1,35 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Services.Optimization.Web")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("FH-Hagenberg")]
+[assembly: AssemblyProduct("HeuristicLab.Services.Optimization.Web")]
+[assembly: AssemblyCopyright("Copyright © FH-Hagenberg 2012")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("a8a5906f-6cef-40f5-8572-c2b49a1f985b")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Revision and Build Numbers 
+// by using the '*' as shown below:
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/DecimalMatrix.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/DecimalMatrix.cshtml	(revision 8816)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/DecimalMatrix.cshtml	(revision 8817)
@@ -7,5 +7,5 @@
   @for (int i = 0; i < Model.Value.Length; i++) {
   <tr>
-    @for (int j = 0; j < Model.Value[j].Length; j++) {                      
+    @for (int j = 0; j < Model.Value[i].Length; j++) {                      
     <td>
       @Model.Value[i][j]
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/EditorTemplates/DecimalMatrix.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/EditorTemplates/DecimalMatrix.cshtml	(revision 8816)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/EditorTemplates/DecimalMatrix.cshtml	(revision 8817)
@@ -7,5 +7,5 @@
   @for (int i = 0; i < Model.Value.Length; i++) {
   <tr>
-    @for (int j = 0; j < Model.Value[j].Length; j++) {                      
+    @for (int j = 0; j < Model.Value[i].Length; j++) {                      
     <td>
       @Html.Raw(Html.TextBoxFor(model => Model.Value[i][j]).ToString().Replace("itm.Value.Value[" + i + "][" + j + "]", Model.Name + "_" + i + "_" + j))
Index: /branches/OaaS/HeuristicLab.Services.Optimization/HeuristicLab.Services.Optimization.ccproj
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization/HeuristicLab.Services.Optimization.ccproj	(revision 8816)
+++ /branches/OaaS/HeuristicLab.Services.Optimization/HeuristicLab.Services.Optimization.ccproj	(revision 8817)
@@ -55,4 +55,7 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <Folder Include="HeuristicLab.Services.Hive.WebRoleContent\" />
+  </ItemGroup>
   <!-- Import the target files for this project template -->
   <PropertyGroup>
Index: /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Cloud.cscfg
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Cloud.cscfg	(revision 8816)
+++ /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Cloud.cscfg	(revision 8817)
@@ -27,4 +27,5 @@
     <Certificates>
       <Certificate name="Microsoft.WindowsAzure.Plugins.RemoteAccess.PasswordEncryption" thumbprint="5D180FD78AB82CA765690BBADC60014C6D4A88CA" thumbprintAlgorithm="sha1" />
+      <Certificate name="localhost" thumbprint="0F3B035DAC806C637B8E7A5BC957D8D30CFD6057" thumbprintAlgorithm="sha1" />
     </Certificates>
   </Role>
Index: /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Local.cscfg
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Local.cscfg	(revision 8816)
+++ /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Local.cscfg	(revision 8817)
@@ -27,4 +27,5 @@
     <Certificates>
       <Certificate name="Microsoft.WindowsAzure.Plugins.RemoteAccess.PasswordEncryption" thumbprint="5D180FD78AB82CA765690BBADC60014C6D4A88CA" thumbprintAlgorithm="sha1" />
+      <Certificate name="localhost" thumbprint="0F3B035DAC806C637B8E7A5BC957D8D30CFD6057" thumbprintAlgorithm="sha1" />
     </Certificates>
   </Role>
Index: /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.build.csdef
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.build.csdef	(revision 8816)
+++ /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.build.csdef	(revision 8817)
@@ -32,4 +32,9 @@
       <Certificate name="localhost" storeLocation="LocalMachine" storeName="My" />
     </Certificates>
+    <Contents>
+      <Content destination=".\">
+        <SourceDirectory path="rcf/Debug/HeuristicLab.Services.Hive.WebRoleContent\" />
+      </Content>
+    </Contents>
   </WebRole>
   <WebRole name="HeuristicLab.Services.Optimization.Web" vmsize="Small">
@@ -48,4 +53,7 @@
       <Import moduleName="RemoteAccess" />
     </Imports>
+    <Certificates>
+      <Certificate name="localhost" storeLocation="LocalMachine" storeName="My" />
+    </Certificates>
   </WebRole>
 </ServiceDefinition>
Index: /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.csdef
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.csdef	(revision 8816)
+++ /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.csdef	(revision 8817)
@@ -39,4 +39,7 @@
       <Import moduleName="RemoteAccess" />
     </Imports>
+    <Certificates>
+      <Certificate name="localhost" storeLocation="LocalMachine" storeName="My" />
+    </Certificates>
   </WebRole>
 </ServiceDefinition>
